Proxy-seller

Extend proxies

Creates an extension order for selected proxy IP addresses. Insufficient funds may return calculation data with `status: error`.

POST
/personal/api/v2/{apiKey}/prolong/make/{type}

Path Parameters

apiKey*string

Client API key.

type*string

Proxy type.

Value in"ipv4" | "ipv6" | "mobile" | "isp" | "mix" | "mix_isp" | "resident" | "subresident"

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X POST "https://proxy-seller.com/personal/api/v2/abc123/prolong/make/ipv4" \  -H "Content-Type: application/json" \  -d '{    "ids": [      "123",      "456"    ],    "periodCode": "1m",    "paymentCode": "balance"  }'

{
  "data": {
    "total": 25,
    "balance": 100.5,
    "orderId": "order_123",
    "listBaseOrderNumbers": [
      "2000096_20240080"
    ]
  },
  "errors": [],
  "status": "success"
}

{
  "code": 400,
  "message": "Bad request",
  "customData": null
}
{
  "error": "Too many requests"
}
Proxy-seller